/*
	Mantis PCI bridge driver

	Copyright (C) 2005 Manu Abraham (manu@kromtek.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _MANTIS_REG_H_
#define _MANTIS_REG_H_

/*	Interrupts	*/
#define MANTIS_INT_STAT			0x00
#define MANTIS_INT_MASK			0x04
#define MANTIS_INT_RISCSTAT		(0xf << 28)
#define MANTIS_INT_RISCEN		(1 << 27)
#define MANTIS_INT_I2CRACK		(1 << 26)
#define MANTIS_INT_IRQ0			(1 << 11)
#define MANTIS_INT_IRQ1			(1 << 10)
#define MANTIS_INT_OCERR		(1 << 8)
#define MANTIS_INT_PABORT		(1 << 7)
#define MANTIS_INT_RIPERR		(1 << 6)
#define MANTIS_INT_PPERR		(1 << 5)
#define MANTIS_INT_FTRGT		(1 << 3)
#define MANTIS_INT_RISCI		(1 << 1)
#define MANTIS_INT_I2CDONE		(1 << 0)

/*	DMA		*/
#define MANTIS_DMA_CTL			0x08
#define	MANTIS_I2C_RD			(1 << 7)
#define MANTIS_I2C_WR			(1 << 6)
#define MANTIS_DCAP_MODE		(1 << 5)
#define MANTIS_FIFO_TP_4		(0 << 3)
#define MANTIS_FIFO_TP_8		(1 << 3)
#define MANTIS_FIFO_TP_16		(2 << 3)
#define MANTIS_FIFO_EN			(1 << 2)
#define MANTIS_DCAP_EN			(1 << 1)
#define MANTIS_RISC_EN			(1 << 0)


#define MANTIS_RISC_START		0x10
#define MANTIS_RISC_PC			0x14

/*	I2C		*/
#define MANTIS_I2CDATA_CTL		0x18
#define MANTIS_I2C_RATE_1		(0 << 6)
#define MANTIS_I2C_RATE_2		(1 << 6)
#define MANTIS_I2C_RATE_3		(2 << 6)
#define MANTIS_I2C_RATE_4		(3 << 6)
#define MANTIS_I2C_STOP			(1 << 5)
#define MANTIS_I2C_PGMODE		(1 << 3)

#define MANTIS_GPIF_HIFADDR		0xb0
#define MANTIS_GPIF_HIFDOUT		0xb4


#endif
